'  filedialog.bas - a filedialog example of LBPP
'  Copyright (C) 2001 Anthony Liguori <ajl13@bellatlantic.net>
'
'  This program is free software; you can redistribute it and/or
'  modify it under the terms of the GNU Lesser General Public
'  License as published by the Free Software Foundation; either
'  version 2.1 of the License, or (at your option) any later version.
'
'  This program is distributed in the hope that it will be useful,
'  but WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'  Lesser General Public License for more details.
'
'  You should have received a copy of the GNU Lesser General Public
'  License along with this library; if not, write to the Free Software
'  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

' This is a simple test of the some FILE I/O
' It also demonstrates the ability to create a File Dialog

filedialog "Enter a file to copy", "*.*", file$

if file$ = "" then notice "No file entered" : end

open file$ for input as #ifile
open file$ + ".copy" for output as #ofile

while eof(#ifile) <> -1
	line input #ifile, line$
	print #ofile, "> "; line$
wend

close #ofile
close #ifile

notice "Check out your copy"

kill file$ + ".copy"