#ifndef _MEM_PROF_H
#define _MEM_PROF_H

#ifndef _MALLOC_H
#include <malloc.h>
#endif
#ifndef _STDLIB_H
#include <stdlib.h>
#endif

void *_lb_malloc(size_t, const char *, int);
void *_lb_realloc(void *, size_t, const char *, int);
void _lb_free(void *, const char *, int);
void _lb_mem_stats();

#define malloc(a) _lb_malloc((a), __FILE__, __LINE__)
#define realloc(a, b) _lb_realloc((a), (b), __FILE__, __LINE__)
#define free(a) _lb_free((a), __FILE__, __LINE__)

#endif
