'  filedialog.bas - a filedialog example of LBPP
'  Copyright (C) 2001 Anthony Liguori <ajl13@bellatlantic.net>
'
'  This program is free software; you can redistribute it and/or
'  modify it under the terms of the GNU Lesser General Public
'  License as published by the Free Software Foundation; either
'  version 2.1 of the License, or (at your option) any later version.
'
'  This program is distributed in the hope that it will be useful,
'  but WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'  Lesser General Public License for more details.
'
'  You should have received a copy of the GNU Lesser General Public
'  License along with this library; if not, write to the Free Software
'  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

' This is a simple test of the some FILE I/O
' It also demonstrates the ability to create a File Dialog

WindowWidth = 400
WindowHeight = 400
UpperLeftX = 50
UpperLeftY = 40
open "Test" for text as #test

print #test, "This is some test"
print #test, "!trapclose [closetest]"

input #test, a$

end

[closetest]
notice "Window should still be open"
print #test, "!origin?"
input #test, x, y
notice "Window orgin is " + str$(x) + " " + str$(y)
print #test, "!selectall"
notice "Everything should be selected"
print #test, "!cls"
notice "Text should be gone"
close #test
notice "Not any more"
end




