/*\
 *  libLB - The LBPP support library
 *  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
 *
 *  libLB is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  libLB is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*/

#ifndef _LB_TEXT_WINDOW_H
#define _LB_TEXT_WINDOW_H

#include "lb.h"
#include "window.h"

int lb_open_window_text(LBContext *cxt, char *name, Variable *handle);
int lb_open_window_text_nsb(LBContext *cxt, char *name, Variable *handle);
int lb_write_window_text_str(LBContext *cxt, LBGUI *w, LBString str);
int lb_write_textbox_str(LBContext *cxt, LBGUI *w, LBString str);

#endif
